Bug 22580 - Cannot create IPC message queues with key 123456
Summary: Cannot create IPC message queues with key 123456
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-20 14:39 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-20 14:39:07 UTC
The perl program below fails with error message : permission denied;

      1 use IPC::SysV qw( IPC_PRIVATE
      2                   IPC_CREAT
      3                   S_IRWXU
      4                   S_IRWXG
      5                   S_IRWXO );
      6 use IPC::Msg;
      7
      8 $msg = new IPC::Msg( 123456, IPC_CREAT | S_IRWXU | S_IRWXG |
S_IRWXO ) or
      9    die "New IPC::Msg: $!\n";
     10 $msg->snd( 1, "toto");
     11

Running the program by strace, shows that it is msgget that returns the
error.
No message queues exist at the time of execution. The program functions
with any key
different from 123456. 
If you need more info do not hesitate to contact me.


Kind regards

Paul

Comment 1 Bugzilla owner 2004-09-30 15:38:52 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.